Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1999787 - ntfs-3g: Multiple buffer overflows in all versions
Summary: ntfs-3g: Multiple buffer overflows in all versions
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1999788 1999789
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 18:06 UTC by Pedro Sampaio
Modified: 2021-09-01 17:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-31 18:56:40 UTC
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2021-08-31 18:06:40 UTC
Security vulnerabilities were identified in the open source NTFS-3G and 
NTFSPROGS software. These vulnerabilities were confirmed and resolved. 
To our knowledge, these vulnerabilities have not been exploited.

These vulnerabilities may allow an attacker using a maliciously crafted 
NTFS-formatted image file or external storage to potentially execute 
arbitrary privileged code, if the attacker has either local access and 
the ntfs-3g binary is setuid root, or if the attacker has physical 
access to an external port to a computer which is configured to run the 
ntfs-3g binary or one of the ntfsprogs tools when the external storage 
is plugged into the computer. These vulnerabilities result from 
incorrect validation of some of the NTFS metadata that could potentially 
cause buffer overflows, which could be exploited by an attacker. Common 
ways for attackers to gain physical access to a machine is through 
social engineering or an evil maid attack on an unattended computer.

We recommend installing and applying the update with the security fixes, 
and advise to follow security guidance and frameworks such as NIST for 
assessing and improving an organization’s abilities to prevent, detect, 
and respond to security threats and cyber attacks.

AFFECTED PRODUCTS: All previous versions of open source NTFS-3G and 
NTFSPROGS.

WORKAROUND: None

SOLUTION: Upgrade to 2021.8.22

PROJECT URL: https://github.com/tuxera/ntfs-3g

ADVISORY ID: NTFS3G-SA-2021-0001

ISSUE DATE: 2021-08-30

SEVERITY: Moderate

CVEs: CVE-2021-33285, CVE-2021-35269, CVE-2021-35268, CVE-2021-33289, 
CVE-2021-33286, CVE-2021-35266, CVE-2021-33287, CVE-2021-35267, 
CVE-2021-39251, CVE-2021-39252, CVE-2021-39253, CVE-2021-39254, 
CVE-2021-39255, CVE-2021-39256, CVE-2021-39257, CVE-2021-39258, 
CVE-2021-39259, CVE-2021-39260, CVE-2021-39261, CVE-2021-39262, 
CVE-2021-39263

CVSS SCORE: 3.9-6.7

References:

https://www.openwall.com/lists/oss-security/2021/08/30/1

Comment 1 Pedro Sampaio 2021-08-31 18:06:59 UTC
Created ntfs-3g tracking bugs for this issue:

Affects: epel-all [bug 1999789]
Affects: fedora-all [bug 1999788]

Comment 2 Product Security DevOps Team 2021-08-31 18:56:40 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.